### Enumeration

# Gtk PrintOperationAction

#### Declaration

    enum Gtk.PrintOperationAction

#### Description [src]

Determines what action the print operation should perform.

A parameter of this typs is passed to `gtk_print_operation_run()`.

#### Members

`GTK_PRINT_OPERATION_ACTION_PRINT_DIALOG`

  Show the print dialog.

  - Value: `0`
  - Available since: 4.0
`GTK_PRINT_OPERATION_ACTION_PRINT`

  Start to print without showing the print dialog, based on the current print settings, if possible. Depending on the platform, a print dialog might appear anyway.

  - Value: `1`
  - Available since: 4.0
`GTK_PRINT_OPERATION_ACTION_PREVIEW`

  Show the print preview.

  - Value: `2`
  - Available since: 4.0
`GTK_PRINT_OPERATION_ACTION_EXPORT`

  Export to a file. This requires the export-filename property to be set.

  - Value: `3`
  - Available since: 4.0